## mesa 22.3.6

=== debian/changelog ===
mesa (22.3.6-1+deb12u1pureos1) crimson; urgency=medium

  * d/patches: Add a hack to fix EGL inside Flatpak

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 18 Dec 2025 15:40:13 +0100

mesa (22.3.6-1+deb12u1) testing-proposed-updates; urgency=medium

  * Upload to testing.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Mar 2023 12:18:17 +0200

mesa (22.3.6-1) unstable; urgency=medium

  * New upstream release. (Closes: #1029731)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 26 Feb 2023 11:19:29 +0200

mesa (22.3.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Feb 2023 20:43:32 +0200

mesa (22.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 28 Jan 2023 12:37:15 +0200

mesa (22.3.3-1) unstable; urgency=medium

  * New upstream release. (LP: #1988859)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Jan 2023 10:23:37 +0200

mesa (22.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Jan 2023 14:53:02 +0200

mesa (22.3.1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches.
  * control: Use Rules-Requires-Root: no.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Dec 2022 13:21:21 +0200

mesa (22.3.0-3) unstable; urgency=medium

  * control: Enable i915 gallium driver. (Closes: #1013311)
  * rules: Enable intel_hasvk. (Closes: #1025864)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 11 Dec 2022 19:14:28 +0200

mesa (22.3.0-2) unstable; urgency=medium

  * patches: Import two upstream commits to fix crashes when libd3d12.so
    can't be found. (Closes: #1025312)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 05 Dec 2022 16:34:36 +0200

mesa (22.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Dec 2022 12:07:06 +0200

mesa (22.3.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Nov 2022 10:19:44 +0200

mesa (22.3.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * fix-symbols.diff: Dropped, upstream.
  * rules: Limit anv ray-tracing support to amd64.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Nov 2022 13:00:20 +0200

mesa (22.2.4-1) unstable; urgency=medium

  * New upstream release.
  * rules: Enable building lima drivers on riscv64. (LP: #1995137)
  * rules: Disable building llvmpipe on riscv64. (Closes: #1004039)
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Nov 2022 12:03:09 +0200

mesa (22.3.0~rc1-3) experimental; urgency=medium

  * control, rules: Enable intel vulkan raytracing support, add
    python3-ply and libclc-15 to build-depends.
  * rules: Fix rusticl logic.
  * rules: Add some variables for architecture lists.
  * rules: Drop the check for where vulkan loader exists, it's the same
    list of archs now as for llvm.
  * rules: Drop a duplicate check for llvm archs.
  * rules, control.in: Add a template file for d/control, which makes
    maintaining the llvm version and some arch lists easier.
  * rules: Remove unused libgrl.a from the intel raytracing build.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Nov 2022 13:37:20 +0200

mesa (22.3.0~rc1-2) experimental; urgency=medium

  * rules: Update list of archs without rustc.
  * libegl1-mesa-dev.install: Updated.
  * fix-symbols.diff: Fix a typo in glx symbols.
  * libglx-mesa0.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 15:47:05 +0200

mesa (22.3.0~rc1-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release candidate.
  * rules: Drop removed gallium-xvmc flag.

  [ Christopher Obbard ]
  * Package rusticl, include in mesa-opencl-icd.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 13:32:45 +0200

mesa (22.2.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #1022730)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 12:17:23 +0200

mesa (22.2.2-1) unstable; urgency=medium

  * control: Bump build-depends on wayland-protocols. (Closes: #1021666)
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 21 Oct 2022 10:17:18 +0300

mesa (22.2.1-1) unstable; urgency=medium

  [ Zhang Boyang ]
  * control, rules: Re-enable LLVM support on riscv64. (LP: #1980386)

  [ Timo Aaltonen ]
  * control: Bump build-dep on directx-headers-dev.
  * New upstream release.
  * control, rules: Migrate to llvm-15.
  * control: Add riscv64 to mesa-vulkan-drivers archs.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 12 Oct 2022 11:48:24 +0300

mesa (22.2.0-1) unstable; urgency=medium

  * New upstream release.
  * nv50-ir-fix-OP_UNION-resolving-when-used-for-vector.diff: Dropped,
    upstream.
  * rules: Enable svga (vmwgfx) for armhf/arm64. (LP: #1989830)
  * control: Drop x32 from mesa-vulkan-drivers archs. (Closes: #1020386)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 21 Sep 2022 12:57:22 +0300

mesa (22.2.0~rc3-2) unstable; urgency=medium

  * nv50-ir-fix-OP_UNION-resolving-when-used-for-vector.diff: Fix a
    regression on nouveau. (Closes: #1017499)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Sep 2022 13:25:59 +0300

mesa (22.2.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * rules: Enable video codecs. (Closes: #1016687)
  * control: Add python3 to mesa-vulkan-drivers depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 22 Aug 2022 13:28:16 +0300

mesa (22.2.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate. (Closes: #1016801)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Aug 2022 16:35:13 +0300

mesa (22.2.0~rc1-1) unstable; urgency=medium

  * New upstream release candidate.
  * revert-enabling-tlsdesc-support.diff: Dropped, obsolete.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Aug 2022 10:33:09 +0300


