## mesa 22.3.6-1+deb12u1+rpi1

=== debian/changelog ===
mesa (22.3.6-1+deb12u1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 20.1.2-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 02 Jul 2020 00:56:02 +0000]
  * Don't build with valgrind on armhf, the old version in Raspbian
    is not compatible.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 01 Jun 2023 22:14:02 +0000
