=== debian/control ===
--- 
+++ 
@@ -51,13 +51,15 @@
  wayland-protocols (>= 1.24),
  zlib1g-dev,
  libglvnd-core-dev (>= 1.3.2),
- valgrind [amd64 arm64 armhf i386 mips64el mipsel powerpc ppc64 ppc64el s390x],
+ valgrind [amd64 arm64 i386 mips64el mipsel powerpc ppc64 ppc64el s390x],
  rustc [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  bindgen [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  llvm-spirv-15 [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  libclc-15 [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  libllvmspirvlib-15-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 Rules-Requires-Root: no
+Build-Conflicts:
+ valgrind [armhf]
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
 Homepage: https://mesa3d.org/
@@ -374,4 +376,3 @@
  va-driver,
 Breaks: vdpau-va-driver (<< 0.7.4-5)
 Replaces: vdpau-va-driver (<< 0.7.4-5)
-Multi-Arch: same
