=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 
 LLVM_ARCHS     = amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x
-VALGRIND_ARCHS = amd64 arm64 armhf i386 mips64el mipsel powerpc ppc64 ppc64el s390x
+VALGRIND_ARCHS = amd64 arm64 i386 mips64el mipsel powerpc ppc64 ppc64el s390x
 WINE_ARCHS     = amd64 arm64 armel armhf i386 powerpc
 
 # hurd doesn't do direct rendering
@@ -238,3 +238,5 @@
 
 override_dh_install:
 	# purge .la files
+	find debian/tmp/ -name '*.la' -exec rm '{}' ';'
+
