## mesa 23.0.5

=== debian/changelog ===
mesa (1:23.0.5) bookworm; urgency=medium

  * Debian Bookworm build

 -- Pedro Echanove <pedro.echanove@tuxum.com>  Fri, 31 May 2024 09:08:40 +0200

mesa (1:23.0.5-0ubuntu1~panfork~git221210.120202c6757~j3) jammy; urgency=medium

  * Disable native fence fds, it is not supported

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Wed, 22 Nov 2023 16:53:01 +0800

mesa (1:23.0.5-0ubuntu1~panfork~git221210.120202c6757~j2) jammy; urgency=medium

  * Add swrast dri driver

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Mon, 30 Oct 2023 09:46:26 +0800

mesa (1:23.0.5-0ubuntu1~panfork~git221210.120202c6757~j1) jammy; urgency=medium

  * Support gl3 by default

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Wed, 16 Aug 2023 19:57:10 +0800

mesa (23.0.5-0ubuntu1~panfork~git221210.120202c6757~j) jammy; urgency=medium

  * Update version for jammy

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Fri, 04 Aug 2023 22:16:45 +0800

mesa (23.0~panfork~csf~git221210.120202c6757~j+3) jammy; urgency=medium

  * Fix mali-g610-firmware dep arch

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Mon, 06 Mar 2023 11:46:19 +0000

mesa (23.0~panfork~csf~git221210.120202c6757~j+2) jammy; urgency=medium

  * Fix mali-g610-firmware dep arch

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Mon, 06 Mar 2023 09:24:09 +0000

mesa (23.0~panfork~csf~git221210.120202c6757~j+1) jammy; urgency=medium

  * Add mali-g610-firmware as dep

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Tue, 28 Feb 2023 13:59:14 +0000

mesa (23.0~panfork~csf~git221210.120202c6757~j) jammy; urgency=medium

  * Update git 120202c6757

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Mon, 12 Dec 2022 03:08:23 +0000

mesa (23.0~panfork~csf~git221209.dc632f3dd7d~k) kinetic; urgency=medium

  * Update git dc632f3dd7d

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Fri, 09 Dec 2022 15:53:12 +0000

mesa (23.0~panfork~csf~git221206.c0a7a787026~k) kinetic; urgency=medium

  * Update git c0a7a787026

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Wed, 07 Dec 2022 07:12:00 +0000

mesa (23.0~panfork~csf~git221124.fd340d5~k) kinetic; urgency=medium

  * Update git fd340d5

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Thu, 01 Dec 2022 02:18:54 +0000

mesa (23.0~panfork~csf~git221118.18db031~k) kinetic; urgency=medium

  * Update git 18db031

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Fri, 18 Nov 2022 10:07:23 +0000

mesa (23.0~panfork~csf~git221115.7a0d432~j) jammy; urgency=medium

  * Update git 7a0d432

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Thu, 17 Nov 2022 10:53:02 +0000

mesa (22.3~panfork~csf~git221114.14f5adcbfb2~k) kinetic; urgency=medium

  * Update git 14f5adcbfb2

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Tue, 15 Nov 2022 07:45:46 +0000

mesa (22.3~panfork~csf~git221102.c57a9f83045) jammy; urgency=medium

  * Update git c57a9f83045

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Wed, 02 Nov 2022 08:43:36 +0000

mesa (22.3~panfork~csf~git221031.66a369) jammy; urgency=medium

  * Update git 66a369

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Mon, 31 Oct 2022 12:27:00 +0000

mesa (22.3~panfork~csf~git221025.719af6) jammy; urgency=medium

  * Add panfork mesa

 -- Jianfeng Liu <liujianfeng1994@gmail.com>  Wed, 26 Oct 2022 10:21:58 +0000

mesa (22.3~git2210090600.27aa17~oibaf~j) jammy; urgency=high

  * Checkout from master git branch up to commit
    27aa1720120e96bdf1d69aee1b9e2c4338bbaa0c
  * Custom OpenGL version string to make sure you are
    running drivers from this PPA

 -- Oibaf <fmrummey@gmail.com>  Sun, 09 Oct 2022 06:10:23 +0200

mesa (22.0.1-1ubuntu1) jammy; urgency=medium

  * Merge from Debian.
  * Drop patch for GFX1036, upstream.
  * control: Actually recommend libgl1-amber-dri.
  * enable-dg2.diff: Fixed to detect DG2 platform.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 30 Mar 2022 11:59:33 +0300

mesa (22.0.0-0ubuntu3) jammy; urgency=medium

  * revert-enabling-tlsdesc-support.diff: Revert a commit that's causing
    apps to crash. (LP: #1966221)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Mar 2022 18:01:26 +0300

mesa (22.0.0-0ubuntu2) jammy; urgency=medium

  * Backport support for GFX1036.  This follows the same codepaths as
    Yellow Carp.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 23 Mar 2022 14:17:23 -0500

mesa (22.0.0-0ubuntu1) jammy; urgency=medium

  * Upload to jammy.
  * enable-dg2.diff: Enable Intel DG2 pci-id's.
  * control: Add libgl1-amber-dri to libgl1-mesa-dri Recommends.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Mar 2022 16:27:59 +0200
