=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: mesa
 Section: graphics
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: First Mate Rummey <fmrummey@gmail.com>
+XSBC-Original-Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
 Uploaders: Andreas Boll <aboll@debian.org>
 Standards-Version: 4.1.4
 Build-Depends:
  debhelper-compat (= 12),
- directx-headers-dev (>= 1.602.0) [linux-amd64 linux-arm64],
+ directx-headers-dev [linux-amd64 linux-arm64],
  glslang-tools [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  meson (>= 0.45),
  quilt (>= 0.63-8.2~),
@@ -37,29 +38,20 @@
  libzstd-dev,
  python3,
  python3-mako,
- python3-ply,
  python3-setuptools,
  flex,
  bison,
- libelf-dev [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libelf-dev [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64],
  libwayland-dev (>= 1.15.0) [linux-any],
  libwayland-egl-backend-dev (>= 1.15.0) [linux-any],
- llvm-15-dev [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libclang-15-dev [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libclang-cpp15-dev [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libclc-15-dev [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- wayland-protocols (>= 1.24),
+ llvm-14-dev [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el s390x sparc64],
+ libclang-14-dev [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el s390x sparc64],
+ libclang-cpp14-dev [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el s390x sparc64],
+ libclc-14-dev [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el s390x sparc64],
+ wayland-protocols (>= 1.9),
  zlib1g-dev,
  libglvnd-core-dev (>= 1.3.2),
- valgrind [amd64 arm64 i386 mips64el mipsel powerpc ppc64 ppc64el s390x],
- rustc [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- bindgen [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- llvm-spirv-15 [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- libclc-15 [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- libllvmspirvlib-15-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
-Rules-Requires-Root: no
-Build-Conflicts:
- valgrind [armhf]
+ valgrind [amd64 arm64 armhf i386 mips64el mipsel powerpc ppc64 ppc64el s390x],
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
 Homepage: https://mesa3d.org/
@@ -288,8 +280,12 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- ${shlibs:Depends},
+ ${shlibs:Depends}, mali-g610-firmware,
  ${misc:Depends}
+#Recommends:
+# libgl1-amber-dri
+Breaks: libgl1-amber-dri
+Replaces: libgl1-amber-dri
 Multi-Arch: same
 Description: free implementation of the OpenGL API -- DRI modules
  This version of Mesa provides GLX and DRI capabilities: it is capable of
@@ -376,3 +372,10 @@
  va-driver,
 Breaks: vdpau-va-driver (<< 0.7.4-5)
 Replaces: vdpau-va-driver (<< 0.7.4-5)
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Description: Mesa VA-API video acceleration drivers
+ These libraries provide the Video Acceleration API (VA-API) for Unix.
+ They provide accelerated video playback (incl. H.264) and video
+ post-processing for the supported graphics cards.
+ .
